Run of fresh-snapshots for libterm-choose-perl

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
Using upstream branch https://github.com/kuerbis/Term-Choose.git (from configuration)
Total 3035 (delta 500), reused 648 (delta 412), pack-reused 2268
Using version string 1.755+git20220701.1.a70fc3b.
No upstream upstream-revision format specified, trying tag:1.755
No upstream upstream-revision format specified, trying tag:libterm-choose-perl-1.755
No upstream upstream-revision format specified, trying tag:v1.755
No upstream upstream-revision format specified, trying tag:v.1.755
No upstream upstream-revision format specified, trying tag:release-1.755
No upstream upstream-revision format specified, trying tag:1_755_release
No upstream upstream-revision format specified, trying tag:1_755
No upstream upstream-revision format specified, trying tag:version-1.755
No upstream upstream-revision format specified, trying tag:libterm-choose-perl-1_755-release
No upstream upstream-revision format specified, trying tag:libterm-choose-perl-v1.755
Old upstream version '1.755' is not present in upstream branch <UpstreamBranchSource for 'https://github.com/kuerbis/Term-Choose.git/'>. Unable to determine whether upstream history is normally included. Assuming no.
Looking for upstream 1.755+git20220701.1.a70fc3b in upstream branch https://github.com/kuerbis/Term-Choose.git/.
Running dist command: SCHROOT=unstable-amd64-sbuild PYTHONPATH=/:/code:/code/breezy:/code/dulwich:/code/lintian-brush:/code/ognibuild:/code/silver-platter:/code/buildlog-consultant:/code/upstream-ontologist:/code/debmutate:/code/python-debian/lib:/usr/lib/python310.zip:/usr/lib/python3.10:/usr/lib/python3.10/lib-dynload:/usr/local/lib/python3.10/dist-packages:/usr/lib/python3/dist-packages /usr/bin/python3 -m janitor.dist --packaging=/tmp/janitorfkssg6fw/libterm-choose-perl/debian
Opened schroot session unstable-amd64-sbuild-1f25e104-0acf-4e6e-9441-9ebe3b899f47 (from unstable-amd64-sbuild)
apt: running ['apt', '-y', 'satisfy', 'debhelper-compat (= 13)', 'libterm-readkey-perl <!nocheck>,\n                     libtest-fatal-perl <!nocheck>,\n                     perl']
Creating directory /root in schroot session.
Using dependency resolver: [apt, cpan, ctan, pypi, npm, go, hackage, cran, bioconductor, octave-forge]
Running ['perl', 'Makefile.PL']
Running ['make', 'dist']
Found new tarball Term-Choose-1.755.tar.gz in /var/run/schroot/mount/unstable-amd64-sbuild-1f25e104-0acf-4e6e-9441-9ebe3b899f47/build/tmpq3prt_ct/libterm-choose-perl.
Found tarball Term-Choose-1.755.tar.gz in parent directory.
Imported libterm-choose-perl_1.755+git20220701.1.a70fc3b.orig.tar.gz with pristine-tar.
All changes applied successfully.
Committing to: /tmp/janitorfkssg6fw/libterm-choose-perl/
modified META.json
modified META.yml
modified debian/changelog
Committed revision 185.
Merged new upstream version 1.755+git20220701.1.a70fc3b (previous: 1.755)
Merge new upstream version 1.755+git20220701.1.a70fc3b
Traceback (most recent call last):
  File "/code/janitor/worker.py", line 1080, in run_worker
    raise _push_error_to_worker_failure(e)
  File "/code/janitor/worker.py", line 1068, in run_worker
    import_branches_git(
  File "/code/janitor/worker.py", line 582, in import_branches_git
    inter.fetch_refs(get_changed_refs, lossy=False, overwrite=True)
  File "/code/breezy/breezy/git/interrepo.py", line 812, in fetch_refs
    new_refs = self.target.send_pack(
  File "/code/breezy/breezy/git/remote.py", line 959, in send_pack
    return self.controldir.send_pack(get_changed_refs, generate_pack_data)
  File "/code/breezy/breezy/git/remote.py", line 502, in send_pack
    result = self._client.send_pack(
  File "/code/dulwich/dulwich/client.py", line 2043, in send_pack
    resp, read = self._smart_request(
  File "/code/dulwich/dulwich/client.py", line 1983, in _smart_request
    resp, read = self._http_request(url, headers, data)
  File "/code/breezy/breezy/git/remote.py", line 799, in _http_request
    response = self.transport.request(
  File "/code/breezy/breezy/transport/http/urllib.py", line 1843, in request
    response = self._opener.open(request)
  File "/usr/lib/python3.10/urllib/request.py", line 519, in open
    response = self._open(req, data)
  File "/usr/lib/python3.10/urllib/request.py", line 536, in _open
    result = self._call_chain(self.handle_open, protocol, protocol +
  File "/usr/lib/python3.10/urllib/request.py", line 496, in _call_chain
    result = func(*args)
  File "/code/breezy/breezy/transport/http/urllib.py", line 820, in https_open
    return self.do_open(HTTPSConnection, request)
  File "/code/breezy/breezy/transport/http/urllib.py", line 697, in do_open
    connection._send_request(method, url,
  File "/usr/lib/python3.10/http/client.py", line 1328, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.10/http/client.py", line 1277, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.10/http/client.py", line 1076, in _send_output
    self.send(chunk)
  File "/usr/lib/python3.10/http/client.py", line 998, in send
    self.sock.sendall(data)
  File "/code/breezy/breezy/transport/http/urllib.py", line 148, in sendall
    self.sock.sendall(s, *args)
  File "/usr/lib/python3.10/ssl.py", line 1237, in sendall
    v = self.send(byte_view[count:])
  File "/usr/lib/python3.10/ssl.py", line 1206, in send
    return self._sslobj.write(data)
ssl.SSLEOFError: EOF occurred in violation of protocol (_ssl.c:2396)

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☒ command changed from DEB_UPDATE_CHANGELOG=update deb-new-upstream --snapshot --refresh-patches to DEB_UPDATE_CHANGELOG=auto deb-new-upstream --snapshot --refresh-patches
  • ☒ not yet reviewed, but review needed
  • ☑ 0 publish attempts so far. not currently attempting to back off
  • ☒ merge proposals for the package maintainer are currently being rate-limited (open: 1195, max open: 200)
  • ☒ change set 3e1157e4-ff91-41ba-9c73-14f75ea6ca04 is working

Full worker log Full build log